---
title: "List all equity data points."
url: "https://developer-beta.morningstar.com/apis/equities-screener-api/versions/6a741807-eba1-4fa3-bcc8-1d4904910e0a/operations/listEquityDataPoints"
---

> Full API specification: https://developer-beta.morningstar.com/apis/equities-screener-api/versions/6a741807-eba1-4fa3-bcc8-1d4904910e0a.md

# List all equity data points.

`GET` `/direct-web-services/v1/screeners/equities/data-points`

Operation ID: `listEquityDataPoints`

Returns the list of equity data points supported for screener queries. Metadata for each entry includes the data type, supported operators, and whether the data point is sortable, language-dependent, currency-dependent, fuzzy-searchable, or code-mapped.

## Responses

- `200` - OK
- `400` - 400: Bad Request
- `500` - 500: Internal Server Error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Equities Screener API
  version: "1.0"
servers:
  - url: https://www.us-api.morningstar.com
    description: Americas
  - url: https://www.apac-api.morningstar.com
    description: APAC
  - url: https://www.emea-api.morningstar.com
    description: EMEA
paths:
  /direct-web-services/v1/screeners/equities/data-points:
    get:
      summary: List all equity data points.
      operationId: listEquityDataPoints
      tags:
        - Data Points
      description: Returns the list of equity data points supported for screener
        queries. Metadata for each entry includes the data type, supported
        operators, and whether the data point is sortable, language-dependent,
        currency-dependent, fuzzy-searchable, or code-mapped.
      responses:
        "200":
          $ref: "#/components/responses/ResponseDataPoints"
        "400":
          $ref: "#/components/responses/ResponseStatus400"
        "500":
          $ref: "#/components/responses/ResponseStatus500"
security:
  - Bearer: []
components:
  responses:
    ResponseDataPoints:
      description: OK
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ResponseDataPoints"
          examples:
            Equities Data Points:
              $ref: "#/components/examples/ResponseDataPointsExample1"
    ResponseStatus400:
      description: "400: Bad Request"
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/OutputError"
          examples:
            Example1:
              $ref: "#/components/examples/ResponseStatus400Example1"
    ResponseStatus500:
      description: "500: Internal Server Error"
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/OutputError"
  schemas:
    ResponseDataPoints:
      title: ResponseDataPoints
      description: Data points and operators supported for equities screening.
      type: object
      properties:
        datapoints:
          type:
            - array
            - "null"
          items:
            $ref: "#/components/schemas/OutputDataPoint"
        metadata:
          $ref: "#/components/schemas/OutputDataPointsMetadata"
      additionalProperties: false
    OutputError:
      title: OutputError
      description: Error details.
      type: object
      properties:
        statusCode:
          description: HTTP status code.
          type: integer
          format: int32
          example: 400
        errorCode:
          description: Unique error identifier.
          type:
            - string
            - "null"
          example: 400.screener.006
        message:
          description: Description of the error.
          type:
            - string
            - "null"
          example: Please provide valid sort option.
        requestId:
          description: Unique request identifier.
          type:
            - string
            - "null"
          example: 6631c374-2331-4c7e-b6f2-d0c0079f6ee
      additionalProperties: false
    OutputDataPoint:
      title: OutputDataPoint
      description: A data point and the screening features it supports.
      type: object
      properties:
        name:
          description: Data point name in the format `<dataGroup>.<fieldName>`. Retrieve
            valid values programmatically via `GET
            /direct-web-services/v1/screeners/equities/data-points`, or browse
            the full reference in the data dictionary.
          type:
            - string
            - "null"
          example: companyInformation.domicileCountryCode
          externalDocs:
            description: Data dictionary (Excel)
            url: https://developer.morningstar.com/content/hidden-from-navigation/ScreenerEquitiesDataDictionary.xlsx
        type:
          description: Data type of the data point. Dates are returned as type `string`.
          type:
            - string
            - "null"
          example: decimal
          x-knownValues:
            - bool
            - decimal
            - int
            - long
            - string
          x-enumDescriptions:
            - bool (Boolean. Supports eq and in.)
            - decimal (Number. Supports range operators, eq, and in.)
            - int (Integer. Supports range operators, eq, and in.)
            - long (Long integer. Supports range operators, eq, and in.)
            - string (Text or date. Supports eq and in; dates also support range
              operators; some text data points support contains and fuzzy.)
        operators:
          description: Filter operators supported by the data point. Compound operators
            (`and`, `or`, `not`) are supported for all data points.
          type:
            - array
            - "null"
          items:
            type: string
            x-knownValues:
              - eq
              - in
              - gt
              - gte
              - lt
              - lte
              - contains
            x-enumDescriptions:
              - eq (Equals.)
              - in (Matches any value in a list.)
              - gt (Greater than.)
              - gte (Greater than or equal to.)
              - lt (Less than.)
              - lte (Less than or equal to.)
              - contains (Text contains.)
          example:
            - gt
            - gte
            - lt
            - lte
            - eq
            - in
        isSortable:
          description: When true, the data point can be used to sort results.
          type: boolean
        isLanguageDependent:
          description: When true, values depend on `languageId`.
          type: boolean
        isCurrencyDependent:
          description: When true, values depend on `currencyId`.
          type: boolean
        fuzzy:
          description: When true, the data point supports fuzzy text matching.
          type: boolean
        enum:
          description: When true, the data point accepts a fixed set of values.
          type: boolean
        isCodeMapped:
          description: When true, values are returned as `OutputCodeMappedValue` objects
            (code and display value).
          type:
            - boolean
            - "null"
      additionalProperties: false
    OutputDataPointsMetadata:
      title: OutputDataPointsMetadata
      description: Request ID and timestamp for use in troubleshooting.
      type: object
      properties:
        requestId:
          description: Unique request identifier.
          type:
            - string
            - "null"
          example: c63e7f6c-b52d-42c3-9d1b-4a4b4ac05f3c
        time:
          description: Time the response was generated.
          type: string
          format: date-time
          readOnly: true
          example: 2025-10-02T10:54:36.9161062Z
      additionalProperties: false
  examples:
    ResponseDataPointsExample1:
      summary: Equities Data Points
      value:
        datapoints:
          - type: decimal
            name: esgCompanyLevel2DataCarbonEmissions.carbonIntensity
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: factorProfile.emergingAsiaPacificFactorMultiAssetModel
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: bool
            name: esgCompanyLevelDataSfdrPAI.activitiesCausingLandDegradationDesertificationOrSoilSealingSfdr
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: decimal
            name: indexLevelsPrice.closeAsMovingAvg200DayMoEnd
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: shortInterest.percentageChanged
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: int
            name: companyInformation.sic
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: esgCompanyLevel1DataLowCarbonTransitionRating.lowCarbonTransitionVarValueAtRiskIprFpsOverallRisk2050Usd
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: int
            name: esgCompanyLevelDataSfdrPAI.breachOfUnGlobalCompactPrinciplesAndOecdGuidelinesForMultinationalEnterprisesSfdrYearOfReference
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: esgCompanyLevel2DataImpactMetricsSDGsAndThemes.sdg3PercOfRevenue
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: monthlyStandardDeviation.arithmeticMean24Month
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: string
            name: esgCompanyLevelDataSfdrPAI.energyConsumptionIntensityWholesaleAndRetailTradeAndRepairOfMotorVehiclesAndMotorcyclesSfdrResearchStatus
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: decimal
            name: dividendResidualRiskAndReturnSensitivity.beta24Month
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: string
            name: esgCompanyLevelDataSfdrPAI.lackOfAntiCorruptionAndAntiBriberyPolicySfdrResearchStatus
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: decimal
            name: pricesMostRecent.avgVolumeInMil5YrQtrEnd
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: string
            name: esgCompanyLevelDataSfdrPAI.lackOfHumanRightsPolicySfdrResearchStatus
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: string
            name: esgCompanyLevelDataSfdrPAI.icRuleOfLawScoreSfdrSourceType
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: string
            name: shareClassInformation.symbol
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: factorProfile.styleFactorMultiAssetModel
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: int
            name: esgCompanyLevelDataSfdrPAI.icPoliticalStabilityScoreSfdrYearOfReference
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: string
            name: esgCompanyLevelDataSfdrPAI.carbonEmissionsIntensitySfdrSourceType
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: int
            name: shareClassInformation.investmentStatus
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: pricesMostRecent.avgVolumeInMil10YrMoEnd
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: earningReport.commonDividendPerShareValueFY
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: int
            name: esgCompanyLevel2DataProductInvolvement.compProdInvPercGeneticallyModifiedPlantsAndSeedsGrowth
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: string
            name: esgCompanyLevel2DataEsgRiskRating.sustainalyticsRatingDate
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: string
            name: esgCompanyLevel1DataLowCarbonTransitionRating.reportingSufficiencyCategory
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: decimal
            name: dividendResidualRiskAndReturnSensitivity.beta120Month
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
          - type: string
            name: esgCompanyLevelDataSfdrPAI.emissionsOfAirPollutantsTotalTonnesSfdrSourceType
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: string
            name: esgCompanyLevelDataSfdrPAI.carbonIntensityScope12and3EurSfdrResearchStatus
            operators:
              - eq
              - in
            isCurrencyDependent: false
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: true
          - type: decimal
            name: trailingReturn.trailing10YearReturn
            operators:
              - gt
              - lt
              - gte
              - lte
              - eq
              - in
            isCurrencyDependent: true
            isLanguageDependent: false
            isSortable: true
            isCodeMapped: false
        metadata:
          requestId: f2e6ec6a-3f90-4b3c-a951-7558607a8d20
          time: 2025-09-29T13:04:51.190876Z
    ResponseStatus400Example1:
      summary: 400 - Invalid Data Point Names
      value:
        statusCode: 400
        errorCode: 400.screener.005
        message: Invalid dataPoint names {0}. Provide valid values.
        requestId: 5c2ad24c-964b-4f9b-9d9e-26b7bdb915d9
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT obtained from `POST /token/oauth`.


        Send it on every request as `Authorization: Bearer <token>`. Reuse the
        token for up to 60 minutes, then request a new one.
```
